Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class RevokedInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.RevokedInfo

All Implemented Interfaces:
  DEREncodable

public class RevokedInfo
extends ASN1Encodable

Constructor Summary
`RevokedInfo(ASN1Sequence seq)`
`RevokedInfo(DERGeneralizedTime revocationTime, CRLReason revocationReason)`

Method Summary
`static RevokedInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static RevokedInfo` | `getInstance(java.lang.Object obj)`
`CRLReason` | `getRevocationReason()`
`DERGeneralizedTime` | `getRevocationTime()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokedInfo

    public RevokedInfo(DERGeneralizedTime revocationTime,
                       CRLReason revocationReason)

### RevokedInfo

    public RevokedInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static RevokedInfo getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static RevokedInfo getInstance(java.lang.Object obj)

### getRevocationTime

    public DERGeneralizedTime getRevocationTime()

### getRevocationReason

    public CRLReason getRevocationReason()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       RevokedInfo ::= SEQUENCE {
            revocationTime              GeneralizedTime,
            revocationReason    [0]     EXPLICIT CRLReason OPTIONAL }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD